using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Security;
using System.Text;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using Microsoft.JScript;
using Convert = System.Convert;

namespace QW2021C.Helper
{
    public class Log
    {
        public void insert_entry(int loglevel, int userid, string description)
        {
            clsDB db = new clsDB();
            if (loglevel <= get_level()) db.insert_log(loglevel, userid, description);
        }

        private int get_level()
        {
            return Convert.ToInt32(ConfigurationSettings.AppSettings["LogLevel"]);

        }
   
    }


}